### Method

# Adw TabView transfer_page

#### Declaration [src]

    void
    adw_tab_view_transfer_page (
      AdwTabView* self,
      AdwTabPage* page,
      AdwTabView* other_view,
      int position
    )

#### Description [src]

Transfers `page` from `self` to `other_view`.

The `page` object will be reused.

It’s a programmer error to try to insert a pinned page after a non-pinned one, or a non-pinned page before a pinned one.

Available since: | 1.0

#### Parameters

`page` | `AdwTabPage`
| A page of `self`.
| The data is owned by the caller of the function.
`other_view` | `AdwTabView`
| The tab view to transfer the page to.
| The data is owned by the caller of the function.
`position` | `int`
| The position to insert the page at, starting at 0